import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import Book from './book';
import { Observable } from 'rxjs';

@Injectable()
export class BookService {
  constructor(public http: HttpClient) {}
    
  get(): Observable<Book[]> {
    return this.http.get<Book[]>('/books');
  }                         
}
